This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 832067 - Inverted trigonometric functions do wrong calculation
Inverted trigonometric functions do wrong calculation
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gcalctool (Show other bugs)
17
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 08:38 EDT by Martin Simon
Modified: 2016-09-19 22:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-14 08:42:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Simon 2012-06-14 08:38:09 EDT
Description of problem:
The inverted trigonometric function do wrong calculation. All results I tested are shifted by something in significant points, like '1'. E.g. tan^-1 (1) gives me 50 i gcalctool, but correct result is 45, or sin^-1 (1) gives me 100, but the correct result is 90.

Version-Release number of selected component (if applicable):
gcalctool-6.4.2.1-1.fc17.i686

How reproducible:
100%

Steps to Reproduce:
1. Start gcalctool and switch to advanced mode
2. Click [tan], then [x^-1], [1] and press enter
3.
  
Actual results:
50

Expected results:
45

Additional info:
Comment 1 Martin Simon 2012-06-14 08:42:58 EDT
Wrong angle units in preferences, sorry

Note You need to log in before you can comment on or make changes to this bug.